# Interface EnumTypeLocal

Local enum (defined in a contract)

#### Category

User-defined elementary types

#### Hierarchy

- EnumTypeLocal

- Defined in codec/lib/format/types.ts:445

#####
Index

### Properties

definingContract?
definingContractName
id
kind
options?
typeClass
typeName

## Properties

### `Optional` definingContract

definingContract?: ContractTypeNative

- Defined in codec/lib/format/types.ts:454

### definingContractName

definingContractName: string

- Defined in codec/lib/format/types.ts:453

### id

id: string

Internal ID. Format may change in future.

- Defined in codec/lib/format/types.ts:451

### kind

kind: "local"

- Defined in codec/lib/format/types.ts:447

### `Optional` options

options?: string[]

these must be in order

- Defined in codec/lib/format/types.ts:458

### typeClass

typeClass: "enum"

- Defined in codec/lib/format/types.ts:446

### typeName

typeName: string

- Defined in codec/lib/format/types.ts:452

Generated using TypeDoc